package vsp;

/**
 * Object for storing histogram items
 * 
 * @author Jan Tichava <jtichava@students.zcu.cz>
 *
 */
public class Item {
	private int count;
	private long marks;
	private double value;
	
	/**
	 * Create one histogram column
	 * 
	 * @param count number count
	 * @param marks number of mark to print
	 * @param value approximate value of number 
	 */
	public Item(int count, long marks, double value) {
		this.count = count;
		this.marks = marks;
		this.value = value;
	}

	/**
	 * Get number count
	 * 
	 * @return the count
	 */
	public int getCount() {
		return count;
	}

	/**
	 * Number of mark to print
	 * 
	 * @return the marks
	 */
	public long getMarks() {
		return marks;
	}

	/**
	 * Get approximate value of number
	 * 
	 * @return the value
	 */
	public double getValue() {
		return value;
	}
}