package vsp;

/**
 * Main class
 * 
 * @author Jan Tichava <jtichava@students.zcu.cz>
 *
 */
public class Vsp {
	
	private Params params1;
	private Params params2;
	
	/**
	 * Creates main object
	 * @param args command line arguments
	 */
	public Vsp(String[] args) {
		try {
			// Two default testing case
			params1 = new Params(10000, 5, 15, 30);
			params2 = new Params(1000000, 1000, 2000, 4000);
			
			if (args.length > 0) {
				Params params = parseArgs(args);
				generate(params);
			}
			else {
				generate(params1);
				System.out.println("=======================================");
				generate(params2);
			}
		} catch (Exception e) {
			System.err.println("Some exception raised!!\n");
			e.printStackTrace();
		}
		
	}
	
	/**
	 * Generate random numbers
	 * @param params command line arguments
	 * @throws Exception
	 */
	private void generate(Params params) throws Exception {
		Generator generator = new Generator(params);
		generator.generate();
	}
	
	/**
	 * Parse command line arguments
	 * @param args command line arguments
	 * @return parsed parameters
	 * @throws Exception
	 */
	private Params parseArgs(String[] args) throws Exception {
		if (args.length != 4) {
			throw new Exception("Params are: java -jar Vsp.jar count a b c");
		}
		
		try {
			return new Params(Integer.valueOf(args[0]), Double.valueOf(args[1]), Double.valueOf(args[2]), Double.valueOf(args[3]));
		} catch (NumberFormatException e) {
			throw new Exception("Expectin three double values, error: " + e.getMessage());
		}
	}
	
	
	public static void main(String[] args) {
		new Vsp(args);
	}

}
